Magick::segmentImage Class Reference

`#include <STL.h>`

## Public Member Functions

| segmentImage (const double clusterThreshold_=1.0, const double smoothingThreshold_=1.5)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 987 of file STL.h.

## Constructor & Destructor Documentation

## segmentImage()

Magick::segmentImage::segmentImage | ( | const double | clusterThreshold_ = `1.0`,
|  | const double | smoothingThreshold_ = `1.5`
| ) |  |

Definition at line 942 of file STL.cpp.

## Member Function Documentation

## operator()()

void Magick::segmentImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 948 of file STL.cpp.

References Magick::Image::segment().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp